function csvToJson(csv) {
  const lines = csv.split("\n");
  const headers = lines[0].split(",");
  const result = {};

  for (let i = 1; i < lines.length; i++) {
    const currentLine = lines[i].split(/,(?=(?:(?:[^"]*"){2})*[^"]*$)/);
    const obj = {};
    for (let j = 0; j < headers.length; j++) {
      const header = headers[j];
      const value = currentLine[j] ? currentLine[j].replace(/^"|"$/g, '') : '';
      if (header !== headers[0] && value) {
        obj[header] = value;
      }
    }
    if (Object.keys(obj).length) {
      const screen = currentLine[0].replace(/^"|"$/g, '');
      if (!result[screen]) {
        result[screen] = [];
      }
      result[screen].push(obj);
    }
  }

  return JSON.stringify(result);
}